KDE 4.7 PyKDE API Reference

- KDE's Python API

# CSSImportRule Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.CSSRule
Namespace: DOM

## Detailed Description

The CSSImportRule interface represents a <a href="http://www.w3.org/TR/REC-CSS2/cascade.html#at-import"> \@import rule within a CSS style sheet. The \@import rule is used to import style rules from other style sheets.

## Methods
| __init__ (self)
| __init__ (self, DOM.CSSImportRule other)
| __init__ (self, DOM.CSSRule other)
DOM.DOMString | href (self)
DOM.MediaList | media (self)
DOM.CSSStyleSheet | styleSheet (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.CSSImportRule | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.CSSRule | other
| ) |  |  |

DOM.DOMString href | ( |  | self ) |

The location of the style sheet to be imported. The attribute will not contain the "url(...)" specifier around the URI.

DOM.MediaList media | ( |  | self ) |

A list of media types for which this style sheet may be used.

DOM.CSSStyleSheet styleSheet | ( |  | self ) |

The style sheet referred to by this rule, if it has been loaded. The value of this attribute is null if the style sheet has not yet been loaded or if it will not be loaded (e.g. if the style sheet is for a media type not supported by the user agent).